<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cku.dao.PublicMapper">
	<resultMap id="BaseResultMap" type="com.cku.model.PublicModel">
		<result column="difference" jdbcType="INTEGER" property="difference" />
	</resultMap>
	<!--SQL SERVER 获取两个时间的月差 zhuoHeng -->
	<select id="getTimeDifference" resultMap="BaseResultMap" parameterType="java.lang.Integer" >
		SELECT datediff( month, #{dogBirthday}, #{date}) difference
	</select>
</mapper>